Name:		winff
Version:	1.3.0
Release:	1%{?dist}
Summary:	A graphical interface for ffmpeg

Group:		Applications/Multimedia
License:	GPLv3+
URL:		http://winff.org
Source0:	http://winff.googlecode.com/files/%{name}-%{version}-source.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	lazarus desktop-file-utils
Requires:	ffmpeg
Requires:	xterm

Patch0:     %{name}-%{version}-generate-dwarf.patch

%description
WinFF is a GUI for the command line video converter, FFMPEG. It will 
convert most any video file that FFmpeg will convert. WinFF does 
multiple files in multiple formats at one time. You can for example 
convert mpeg's, flv's, and mov's, all into avi's all at once.

%prep
%setup -q -n %{name}

sed -i "s|\r||g" *.txt
chmod -x *.txt docs/*

%patch0 -p1 -b .generate-dwarf

%build
lazbuild --widgetset=gtk2 -B winff.lpr

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{name}/languages}

# Install winff binary
install -pm 755 %{name} $RPM_BUILD_ROOT%{_bindir}

# Install languages
install -pm 644 languages/*.po $RPM_BUILD_ROOT%{_datadir}/%{name}/languages

# Install presets
install -pm 644 presets.xml $RPM_BUILD_ROOT%{_datadir}/%{name}

mkdir -p $RPM_BUILD_ROOT{%{_datadir}/pixmaps,%{_datadir}/applications,%{_mandir}/man1}

# Install man page
install -pm 644 %{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1

# Install icons
for i in 16 24 32 48; do
	mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/"$i"x"$i"/apps
	install winff-icons/"$i"x"$i"/*.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/"$i"x"$i"/apps
done

# Desktop file
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Name=WinFF
GenericName=WinFF
Comment=A GUI for FFMPEG
Exec=%{name}
Icon=%{name}
Categories=AudioVideo;Video;
EOF
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc *.txt docs/*
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*png
%{_mandir}/man1/%{name}.1.*

%post
update-desktop-database &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%changelog
* Thu Aug 19 2010 Hicham HAOUARI <hicham.haouari@gmail.com> - 1.3.0-1
- Initial package for Fedora

* Fri Aug 06 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.3.0-1mdv2011.0
+ Revision: 566545
- update to 1.3.0

* Thu Feb 04 2010 Jérôme Brenier <incubusss@mandriva.org> 1.2.0-1mdv2010.1
+ Revision: 500607
- new version 1.2.0
- drop no more needed permissions fix

* Thu Dec 03 2009 Jérôme Brenier <incubusss@mandriva.org> 1.1.1-1mdv2010.1
+ Revision: 472887
--pcp option no more needed for lazbuild
- add Requires: xterm
- initial import
- Created package structure for winff.

